For the complete documentation index, see llms.txt. This page is also available as Markdown.

Performance

Get Account Performance

get
/v1/accounts/{accountId}/performance

Retrieve account performance details for an account and its assets.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
accountIdstringRequired
Query parameters
reportTypestring · enumOptional

Type of the report required

Default: HISTORICALExample: HISTORICALPossible values:
startDatestring · dateOptional

The first date to include in the performance data

Example: 2024-02-01
endDatestring · dateOptional

The last date to include in the performance data

Example: 2024-05-01
dataPointsinteger · min: 1 · max: 60Optional

Maximum number of historical data points to return. Defaults to 15 and cannot exceed 60.

Default: 15Example: 30
Responses
200

Successful response

application/json
or
get/v1/accounts/{accountId}/performance
GET /api/v1/accounts/{accountId}/performance HTTP/1.1
Host: cams.aquanow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "accountId": "123e4567-e89b-12d3-a456-426614174000",
  "performanceCurrency": "USD",
  "mtm": "13554107.22",
  "lastUpdatedAt": "2024-08-01T18:44:05Z",
  "assetMtm": [
    {
      "asset": "BTC",
      "assetMarketValue": "13554107.22",
      "assetTradeBalance": "225.9017",
      "marketRate": "60000.00",
      "averagePrice": "45780.00",
      "pnl": "900000.00"
    }
  ],
  "dataPoints": [
    {
      "closedAt": "2024-08-01",
      "accountMarketValue": "13554107.22",
      "pnl": "900000.00",
      "assets": [
        {
          "asset": "BTC",
          "assetMarketValue": "13554107.22",
          "assetTradeBalance": "225.9017",
          "marketRate": "60000.00",
          "averagePrice": "45780.00",
          "pnl": "900000.00"
        }
      ]
    }
  ]
}

Last updated